#!/bin/sh

name="djbdns"
title="djbdns"
package="djbdns"
version="1.05"
build="3"
noarch="n"
build_info="Standard build."

info="Domain Name System tools."
desc="djbdns is a collection of Domain Name System tools. Security
is one of the primary motivations for the development of
djbdns. Every step of the design and implementation has been
carefully evaluated from a security perspective. The djbdns
package has been structured to minimize the complexity of
security-critical code. dnscache is immune to cache poisoning.
It is advisable to use the package as a secure alternative to
BIND."
category="net/server/dns"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires="daemontools"
obsoletes=""
conflicts=""

docs_source="CHANGES,README,TINYDNS,TODO,VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://cr.yp.to/djbdns/$name-$version.tar.gz

apply_patch djbdns-svr.patch 1
[ "$slackver_maj" = "9" ] && apply_patch djbdns-errno.patch

parent_package="$package"
write_info main

cd $src1

echo /usr > conf-home

do_make

msg_installing

copy dnsroots.global $pkg_main/etc

mkdir -p $pkg_main/usr/bin

for i in {dnscache,{tiny,wall,rbl,pick,axfr}dns}{-conf,} \
    tinydns-{get,data,edit} {rbldns,pickdns}-data axfr-get \
    dns{ip,ipq,name,txt,mx,filter,qr,q,trace{sort,}} random-ip
do cp $i $pkg_main/usr/bin
done

make_docs

make_package main

clean_up

# $Log: djbdns.builder,v $
# Revision 1.9  2003/03/13 14:24:01  swiergot
# - Build 3.
#
# Revision 1.8  2003/03/13 14:17:11  swiergot
# - Tell setup we put everything to /usr/bin.
#
# Revision 1.7  2003/03/13 13:42:47  swiergot
# - Build 2.
#
# Revision 1.6  2003/02/13 17:34:21  swiergot
# - slackver_maj, not slack_ver_maj.
#
# Revision 1.5  2003/02/13 17:28:32  swiergot
# - Added djbdns-errno.patch that makes it possible to compile djbdns with
#   glibc 2.3.1. This patch is applied only on Slackware 9.
# - Added djbdns-svr.patch that enables djbdns to serve SVR records.
#
# Revision 1.4  2003/01/11 12:20:45  swiergot
# - Build 1.
#
# Revision 1.3  2003/01/11 11:58:40  swiergot
# - Force building.
#
# Revision 1.2  2003/01/11 11:33:39  swiergot
# - Force building.
#
# Revision 1.1  2003/01/10 17:22:50  swiergot
# - Initial release.
# - Version 1.05.
#
